@import 'fonts.css';

:root {
  --size: min(88vmin, 600px);
}

body {
  font-family: "Dalma Web",system-ui, -apple-system, "Segoe UI", Roboto, Arial;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
  padding: 18px;
  color: #111;
  touch-action: none;
  overscroll-behavior: none;
}

h1 {
  margin: 0 0 6px 0;
  font-size: clamp(18px, 3vw, 20px);
}

#controls {
  display: flex;
  gap: 10px;
  align-items: center;
  flex-wrap: wrap;
  justify-content: center;
}

#silhouette {
  width: var(--size);
  aspect-ratio: 1/1;
  position: relative;
  background: white;
  overflow: visible;
  max-width: 100%;
  height: auto;
  touch-action: none;
}

/* --- Elementos interactivos --- */
.stroke {
  position: absolute;
  inset: 0;
  transform-origin: center center;
  user-select: none;
  background: transparent;
  pointer-events: none;
  mix-blend-mode: multiply;
  stroke-linecap: round;
  stroke-linejoin: round;
  stroke-opacity: 0.5;
}

.stroke.dragging {
  cursor: grabbing;
}

.stroke.selected svg path {
  stroke: #000;
  stroke-width: 2;
}

.stroke.near svg path {
  stroke: orange;
  stroke-width: 11;
}

.stroke.correct svg path {
  stroke: green;
  stroke-width: 5;
}

#message {
  color: gray;
  display: none;
  text-align: center;
}

button {
  padding: 8px 12px;
  font-size: 14px;
  cursor: pointer;
}

#spinner {
  display: none;
  position: absolute;
  inset: 0;
  background: rgba(255,255,255,0.7);
  z-index: 100;
  align-items: center;
  justify-content: center;
}

.catich {
  font-family: "Catich Color";
  text-align: center;
}
